%define upstream_name    MooseX-App
%define upstream_version 1.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Meta class role for command classes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Any)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Elemental)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
MooseX-App is a highly customisable helper to write user-friendly command
line applications without having to worry about most of the annoying things
usually involved. Just take any existing the Moose manpage class, add a
single line ('use MooseX-App qw(PluginA PluginB ...);') and create one
class for each command in an underlying namespace. Options and positional
parameters can be defined as simple the Moose manpage accessors.

MooseX-App will then

* * Find, load and initialise the command classes (see the
  MooseX-App-Simple manpage
  for single command applications)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENCE META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.350.0-2.mga6
+ Revision: 1030323
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.350.0-1.mga6
+ Revision: 1002170
- update to 1.35

* Thu Feb 18 2016 umeabot <umeabot> 1.330.0-2.mga6
+ Revision: 966366
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 tv <tv> 1.330.0-1.mga6
+ Revision: 843671
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.300.0-2.mga5
+ Revision: 739207
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.300.0-1.mga5
+ Revision: 725845
- imported package perl-MooseX-App


* Sat Sep 27 2014 Thierry Vignaud <tv@mageia.org> 1.300.0-1.mga5
- intial release
